# Generated by Django 3.2.7 on 2021-09-25 18:53

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('gaia_paysans', '0001_initial'),
        ('gaia_distribs', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='inscriptionproduit',
            name='produit',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='inscriptions_produits', to='gaia_paysans.produit'),
        ),
        migrations.AddField(
            model_name='inscriptionadherent',
            name='contrat',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='inscriptions', to='gaia_distribs.contrat'),
        ),
        migrations.AddField(
            model_name='inscriptionadherent',
            name='distribution',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='inscriptions_adherents', to='gaia_distribs.distribution'),
        ),
        migrations.AddField(
            model_name='inscriptionadherent',
            name='inscription_produit',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='inscriptions_adherents', to='gaia_distribs.inscriptionproduit'),
        ),
        migrations.AddField(
            model_name='inscriptionadherent',
            name='produit',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='inscriptions_adherents', to='gaia_paysans.produit'),
        ),
    ]
